[ARVADOS] updated: 2.1.0-1786-gfe1195005
Git user
git at public.arvados.org
Wed Jan 5 15:27:53 UTC 2022
Summary of changes:
build/run-library.sh | 20 +++++++++++++-------
1 file changed, 13 insertions(+), 7 deletions(-)
discards 0618092b9a2c9fa988df35f34d79f6fe68bf3380 (commit)
via fe1195005c0e4e86a305f3edd2615e411db13ea1 (commit)
via c29ca1ce0cff520cf85a75be3745f90d168e5971 (commit)
This update added new revisions after undoing existing revisions. That is
to say, the old revision is not a strict subset of the new revision. This
situation occurs when you --force push a change and generate a repository
containing something like this:
* -- * -- B -- O -- O -- O (0618092b9a2c9fa988df35f34d79f6fe68bf3380)
\
N -- N -- N (fe1195005c0e4e86a305f3edd2615e411db13ea1)
When this happens we assume that you've already had alert emails for all
of the O revisions, and so we here report only the revisions in the N
branch from the common base, B.
Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.
commit fe1195005c0e4e86a305f3edd2615e411db13ea1
Author: Ward Vandewege <ward at curii.com>
Date: Wed Jan 5 10:27:02 2022 -0500
17417: another optimization: instead of building the
arvados-python-client sdist regardless of the value of
$ONLY_BUILD, only do it when it is actually needed.
Arvados-DCO-1.1-Signed-off-by: Ward Vandewege <ward at curii.com>
diff --git a/build/run-library.sh b/build/run-library.sh
index 3434f1ae8..b6bb9ab37 100755
--- a/build/run-library.sh
+++ b/build/run-library.sh
@@ -728,11 +728,17 @@ fpm_build_virtualenv () {
PYTHON_PKG=$pkg
fi
- # arvados-python-client sdist should always be built, to be available
- # for other dependent packages.
- if [[ -n "$ONLY_BUILD" ]] && [[ "arvados-python-client" != "$pkg" ]] && [[ "$PYTHON_PKG" != "$ONLY_BUILD" ]] && [[ "$pkg" != "$ONLY_BUILD" ]]; then
- debug_echo -e "Skipping build of $pkg package."
- return 0
+ if [[ -n "$ONLY_BUILD" ]] && [[ "$PYTHON_PKG" != "$ONLY_BUILD" ]]; then
+ # arvados-python-client sdist should always be built if we are building a
+ # python package.
+ if [[ "$ONLY_BUILD" != "python3-arvados-cwl-runner" ]] &&
+ [[ "$ONLY_BUILD" != "python3-arvados-fuse" ]] &&
+ [[ "$ONLY_BUILD" != "python3-crunchstat-summary" ]] &&
+ [[ "$ONLY_BUILD" != "arvados-docker-cleaner" ]] &&
+ [[ "$ONLY_BUILD" != "python3-arvados-user-activity" ]]; then
+ debug_echo -e "Skipping build of $pkg package."
+ return 0
+ fi
fi
if [[ -n "$target_arch" ]] && [[ "$native_arch" == "$target_arch" ]]; then
commit c29ca1ce0cff520cf85a75be3745f90d168e5971
Author: Ward Vandewege <ward at curii.com>
Date: Tue Jan 4 20:11:43 2022 -0500
17417: fix bug to enable arm64 cross-compilation on amd64 for our go packages.
Arvados-DCO-1.1-Signed-off-by: Ward Vandewege <ward at curii.com>
diff --git a/build/run-library.sh b/build/run-library.sh
index ed3211c2a..3434f1ae8 100755
--- a/build/run-library.sh
+++ b/build/run-library.sh
@@ -183,12 +183,12 @@ package_go_binary() {
# but only when building deb packages (centos does not have support for crosscompiling userspace).
archs=($native_arch)
if [[ "$native_arch" == "amd64" ]] && [[ "$package_format" == "deb" ]]; then
- archs=('amd64' 'arm64')
+ archs+=("arm64")
fi
- for ta in $archs; do
+ for ta in ${archs[@]}; do
package_go_binary_worker "$src_path" "$prog" "$package_format" "$description" "$native_arch" "$ta" "$license_file"
retval=$?
- if [[ "$retval" != 0 ]]; then
+ if [[ $retval -ne 0 ]]; then
return $retval
fi
done
@@ -216,8 +216,8 @@ package_go_binary_worker() {
cd $WORKSPACE/packages/$TARGET
test_package_presence "$prog" "$go_package_version" "go" "" "$target_arch"
- if [[ "$?" != "0" ]]; then
- return 1
+ if [[ $? -ne 0 ]]; then
+ return 0
fi
echo "Building $package_format ($target_arch) package for $prog from $src_path"
-----------------------------------------------------------------------
hooks/post-receive
--
More information about the arvados-commits
mailing list